TAAS - Feature #225

Customer ltem Wise SOA
07/09/2023 03:29 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Customer ltem Wise SOA

Description

Coding SOA ltem Wise

History

#1 - 07/09/2023 03:46 PM - Anil KV
- Subject changed from SOA Item Wise to Customer Iltem Wise SOA
- Module changed from SOA Item Wise to Customer Item Wise SOA

Coding Customer ltem Wise SOA

#2 - 08/07/2023 06:13 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

Solution:-

e Check
#224(Customer Document Wise SOA -> Remove SUM and grouping part in data sql)

Ul CHANGES

Include Act as Mainledgers in Mainledger Multiselectbox
- Own

- Act as Customer

- Act as Supplier

- Act as Comn Agent

#3 - 08/18/2023 10:05 AM - Anil KV

- Assignee changed from travvise Admin to Athul P

#4 - 03/07/2024 02:54 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#5 - 03/07/2024 03:03 PM - Athul P
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#6 - 03/08/2024 03:15 PM - Athul P
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#7 - 03/09/2024 10:59 AM - unnikannan S

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.ADJUST SHOWING CODE&NAME SELECTION

2.DISABLE NET MATCHING CHECK BOX AFTER SHOWING DATA
3.SHOW MAINLEDGER OF CUSTOMER IN Ul

4.SHOW COST CENTRE CODE IN Ul

5.CORRECT PDF FORMAT

6.MISSING SAVED LPO AND LPO DATE IN DETAILS LIST
7.CLEAR ADDED FILE,DOC NO WHILE CHOOSING NEW BUTTON

#8 - 03/12/2024 12:45 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#9 - 03/12/2024 03:02 PM - unnikannan S
TESTING DONE

#10 - 06/19/2024 09:43 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Copy Voucher No In List - fix in transaction.jsonRlatedData->strVoucherNo field.

#11 - 06/20/2024 10:24 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#12 - 08/29/2024 02:57 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI Change

Add Column > Original Issue > After Sector Column
(Apply only for tickets)

#13 - 09/05/2024 04:00 PM - Athul P
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#14 - 09/23/2024 06:00 PM - unnikannan S

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Change Service Multy Select Box To New Format

#15 - 09/24/2024 04:26 PM - Athul P

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 10/01/2024 05:28 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Testing Done
- % Done changed from 70 to 90

#17 - 10/02/2024 11:01 AM - Anonymous
- Assignee changed from Athul P to Amal Ck

#18 - 11/29/2024 03:08 PM - Arathy PS
- File clipboard-202411291507-s3nwn.png added
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. (done)Service label filter not working.

2. (done)Voucher no: not showing for package vouchers.

3. Voucher no: not showing for cash sale items. (issue coming from sale (voucher auto generation(after updating sale)))
4. For cash sale a credit entry and debit entry is showing.-----> ask junaid (both need to show(NOT a BUG))

Customer [tem Wise SOA

Branch* - Matched Cutstanding

et | cUS001 AL MOHAMMED KHA Currency* | QAR v Consider Matching Done After To Date™
er -

Resat
Department - Reference~
File No - Show Matched Net Difference After OB

Show Opening Balance

Servi Moduls
t Cent v ssuing Staff
-
Summary Details
Group By | No Grouping v Y Q 2 B
Date Document No Ticket/Voucher LPO No LPO Date Debit Credit Balance = Pax Name Sector Original Issue  Reference Narration
Opening Balance 19,945.00 0.00 19,945.00
29/11/2024 INV/019 10000 0.00 20,045.00  jfhsdifus
29/11/2024 INV/O19 20000 0.00 2024500 | dgtrt
29/11/2024 RF/001 0s/013 000 200.00 20,045.00 ' JOHN
29/11/2024 INV/020 10000 0.00 20,145.00 | Nisa2
29/11/2024 cs/on 300.00 0.00 2044500 RITA
29/11/2024 csomn 000 300.00 20,145.00
Closing Balance 20,145.00 0.00 20,145.00

#19 - 12/02/2024 12:22 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 12/02/2024 06:39 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)NO DATA SHOWING WHEN MULTIPLE MODULE SELECTED

#21 - 12/03/2024 12:07 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 12/03/2024 01:59 PM - Amal Ck
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#23 - 12/03/2024 02:09 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 12/04/2024 10:13 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#25 - 12/04/2024 06:47 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. Add redirection on document no: and voucher no:
2. On the grid add a column for cost center, and 5 extra columns with custom 1, custom 2, custom 3, custom 4, custom 5.
-- Should show these datas on print if only we select them.

#26 - 12/07/2024 06:19 PM - Amal Ck
- Assignee changed from Amal Ck to Nithin PM

#27 - 12/09/2024 07:42 PM - Nithin PM
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#28 - 12/19/2024 12:51 PM - Theja Ponon

- File clipboard-202412191250-szqz4.png added

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND
Column ‘str_SOA_custom_label1' does not belong to table Table. »
-
ransaction Date™ 9/12/2024 8/12/2024 Branch® Matched Cutstanding
- . R - . B3 Ne
Customer’ CUs001 Custome ‘urrency QAR e Consider Matching Done After To Date™
Summary = Details
Y a @ 2 &
Item Debit Credit Balance

#29 - 12/20/2024 10:41 AM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#30 - 12/20/2024 12:06 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#31 - 01/07/2025 01:56 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

#32 - 01/07/2025 04:12 PM - Arathy PS
- Assignee changed from Nithin PM to Amal Ck

#33 - 01/07/2025 04:14 PM - Arathy PS
- File clipboard-202501071614-wyde5.png added

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. (DONE)Service data showing in narration column of print.
2. Need another column for service -- ask anil

Customer Iltem Wise Soa Details

Transaction Date : 07/01/2025 - 07/01/2025 Branch : Al

Customer : CUS001:: AKBAR RAHMAN Currency : QAR

Status : Active (Posting Status), Active (Document Status) Matched And Outstanding
Do Not Consider Matching Done After To Date

Date DocMNo Ticket/ Debit Credit Balance Reference Narration
Voucher
Opening 0.00 0.00 0.00
Balance
01/07/2025  INV/001 1000 500.00 0.00 500.00 SADO1:: Air Ticket Service

Total 500.00 0.00 500.00

Amount 500.00 0.00 500.00

Receivable

Printed Date: 07/01/2025 03:56 PM Page: 1/1 Printed By: admin

New Change

1.Custom Data in Soa Print
2.Add a new tab named 'Ageing' ---refer document wise SOA

#34 - 01/09/2025 10:26 AM - Amal Ck

- Status changed from Reopen Bugs to New Changes

#35 - 01/14/2025 05:35 PM - Arathy PS
- File clipboard-202501141733-be1av.png added

- Status changed from New Changes to Reopen Bugs

New changes not done

ISSUE FOUND

(DONE)1. While checking checkbox for only outstanding then single invoice is showing multiple times.
Customer Item Wise SOA

Transaction Date*  (1/01/2025 14/01/2025 Branch* Main
Customer* CUS005 FATHIMA SHIHAB Currency* QAR
vy

Summary = Details

Details List Group Y| No Grouping e
Date Document No Ticket/Voucher LPO No LPO Date Debit
Opening Balance 0.00

14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1120.00
14/01/2025 INV/005 1125.00
14/01/2025 INV/005 1125.00
14/01/2025 INV/005 1125.00
14/01/2025 INV/005 1125.00

(DONE)2. Same case : if only matched checkbox is checked.

#36 - 01/15/2025 11:22 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#37 - 01/20/2025 06:18 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

New Changes-—-in ageing tab

—> Custom(Ageing Periods)*B -> Tittle - like Admin settings
—-> Top Label table

- Left

'Total A/R' (Customer SOA) or 'Total A/P' (Supplier SOA)
Due Amount

Not Due (Total A/R - Due Amount)

Bill Submission

Credit Limit

Payment Terms

Grace Days

- Right

Last Bill Period

Last Payment Date

Last Due Date

Last Over Due Days

Last Bill Due

L T

R

#38 - 02/06/2025 04:18 PM - Theja Ponon
- File clipboard-202502061617-0oqlyd.png added

- Status changed from New Changes to Reopen Bugs

Issue Found

(DONE)1)Original Issue value is not showing

05/03/2025

Credit

Matched Outstanding

Caonsider Matching Done After To Date”

T Q &
Balance = Pax Name Sector
0.00
112000 JUNAID

224000  JUNAID

326000 JUNAID

443000 JUNAID

560000 JUNAID

672000 JUNAID

784000 JUNAID

8960.00 JUNAID

10080.00  JUNAID

11200.00  JUNAID

12320.00  JUNAID

1344000 JUNAID

14560.00 JUNAID

15685.00  HTYT

16810.00 HTYT

17935.00  HTYT

19060.00  HTYT
1 Travyls'g Customer ltem Wise SOA D~ | =~ Menu-~ _

Matched Qutstanding

Customer | CUsOD4 Customer B Curency* | QAR v Consider Matching Done After To Date™
summary = Details

Group BY | No Grouping v T @ 2 @
Date Document No Ticket/Voucher LPO No LPO Date Debit Credit Balance Pax Name Sector Original Issue = Reference Narration
Opening Balance 0.00 0.00 0.00
06/02/2025 INV/014 TK45645646 100.00 0.00 100.00  sqawd CCl/BOM
Total 100.00 0.00 100.00

Amount Receivable 100.00 0.00

#39 - 02/06/2025 06:31 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 02/07/2025 11:18 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

(DONE)1. Data not showing the opening balance in details tab.
(DONE)2. In the Print change the title to 'Statement of Accounts'

#41 - 02/07/2025 03:07 PM - Amal Ck

- Status changed from Reopen Bugs to New Changes

#42 - 02/22/2025 03:54 PM - Arathy PS

- Assignee changed from Amal Ck to Augustin Jose

#43 - 02/26/2025 03:51 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. In the main ledger the items loading should be of type main ledger.

#44 - 03/03/2025 02:27 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 03/04/2025 02:44 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. In the ageing tab for customer who has payment term based on doc submission shows overdue days even though the document has not been
submitted.

2. Not showing data based on matched/outstanding checkbox in ageing tab.

3. Opening balance in details tab when matched checkbox is ticked (different from summary tab).

4. In the details tab for customer doc no: is not showing for the shared sale of the customer.

#46 - 03/13/2025 06:37 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files
